local bombCount = 5
local CurBomb = 1
local ingots = {}

--find path
function script_path()
   local str = debug.getinfo(2, "S").source:sub(2)
   return str:match("(.*/)")
end
local function makeBomb(index)
	return LoadActor(script_path().."../DJMax-Sweety/bomb/bomb")..{
		Name=index;
		InitCommand=function(self)
			self:zoom(0.5)
		end;
	};
end
local t = Def.ActorFrame{
	BombCommand=function(self)
		CurBomb = ((CurBomb) % bombCount) +1
		self:GetChild(bombCount+1-CurBomb):queuecommand("Bomb2")
	end;	
	W1Command=function(self)
		self:queuecommand("Bomb")
	end;
	W2Command=function(self)
		self:queuecommand("Bomb")
	end;
	W3Command=function(self)
		self:queuecommand("Bomb")
	end;
	HeldCommand=function(self)
		self:queuecommand("Bomb")
	end;
	HoldingOnCommand=function(self)
		self:GetChild(bombCount+1-CurBomb):queuecommand("KillExplosion")
		self:queuecommand("HoldT")
	end;
}
t[#t+1] = Def.ActorFrame{
	InitCommand=function(self)	self:zoom(0.5):diffusealpha(0)	end;
	HoldTCommand=function(self)	self:diffusealpha(1):sleep(0.1667):queuecommand("HoldT")	end;
	HoldingOffCommand=function(self) self:stoptweening():diffusealpha(0) end;
	Def.Sprite{
		Texture="../DJMax-Sweety/bomb/heart";
		HoldTCommand=function(self)
		self:stoptweening():blend('BlendMode_Add')
		self:y(-10):zoom(4.5):diffusealpha(1)
		self:linear(0.0833)
		self:zoom(5.8)
		self:linear(0.0834)
		self:zoom(4.5)
		end;
	};
	Def.Sprite{
		Texture="../DJMax-Sweety/bomb/halation";
		HoldTCommand=function(self)
		self:stoptweening():blend('BlendMode_Add')
		self:y(-10):zoom(5):diffusealpha(.8)
		self:linear(0.0833)
		self:zoom(7.3):diffusealpha(.4)
		self:linear(0.0834)
		self:zoom(5):diffusealpha(.8)
		end;
	}
}
for i=1,bombCount do
	t[#t+1] = makeBomb(i)
end
return t
