local Nskin = ... or {};        
Nskin.ButtonRedir =
{
	--dance
	UpLeft = "Blue",
	UpRight = "Blue",
	Left = "White",
	Right = "White",
	Down = "Blue",
	Up = "Blue", 
	--kb7
	Key1 = "White",
	Key2 = "Blue",
	Key3 = "White",
	Key4 = "Red",
	Key5 = "White",
	Key6 = "Blue",
	Key7 = "White"
};
local OldRedir = Nskin.Redir;
Nskin.Redir = function(sButton, sElement)	
	if sElement == "Tap Fake" then
		sElement = "Tap Note";
	end	  
	if sElement == "Hold Body Inactive" or  sElement == "Hold Body Active" then
		sElement = "Hold Body";
	end
	if sElement == "Hold Topcap Inactive" or  sElement == "Hold Topcap Active" then
		sElement = "Hold Topcap";
	end
	if sElement == "Hold Bottomcap Inactive" or  sElement == "Hold Bottomcap Active" then
		sElement = "Hold Bottomcap";
	end	  
	if sElement == "Roll Body Inactive" or  sElement == "Roll Body Active" then
		sElement = "Roll Body";
	end
	if sElement == "Roll Topcap Inactive" or  sElement == "Roll Topcap Active" then
		sElement = "Roll Topcap";
	end
	if sElement == "Roll Bottomcap Inactive" or  sElement == "Roll Bottomcap Active" then
		sElement = "Roll Bottomcap";
	end
	--switch keys when solo
	if GAMESTATE:GetCurrentStyle():GetStepsType() == "StepsType_Dance_Solo"  then
		if	Var "Button" == "Up" or Var "Button" == "Down" then 
			sButton = "Left"; 
		end
	end
	sButton = Nskin.ButtonRedir[sButton];
	return sButton, sElement;
end
local OldFunc = Nskin.Load;
function Nskin.Load()
	local t = OldFunc();
	local sElement = Var "Element";
	local sButton = Var "Button";
	local pn = GAMESTATE:IsPlayerEnabled('PlayerNumber_P1') and PLAYER_1 or PLAYER_2--for sm5
	--fix explosion's rotation caused by perspective
	local rev = GAMESTATE:PlayerIsUsingModifier( pn, "reverse" ) and 1 or -1
	local mini = GAMESTATE:GetPlayerState(pn):GetCurrentPlayerOptions():Mini()
	local tilt = GAMESTATE:GetPlayerState(pn):GetCurrentPlayerOptions():Tilt()
	if Var "Element" == "Explosion"  then
		t.BaseRotationX = -28.89*rev*tilt
		t.BaseZoomX = 1/(1-(mini/3))
		t.BaseZoomY = 1/(1-(mini/3))
	end	
	--flip receptor
	if Var "Element" == "Receptor" then
		if  Var "Button" == "Right" or Var "Button" == "Key7"  then
			t.BaseRotationY = 180;
		end	
		t.BaseRotationX = (rev-1)*90;
		t.BaseZoomY = 1/(1-(mini/2))
	end
	return t;
end
Nskin.Rotate ={}
Nskin.PartsToRotate ={};
Nskin.Blank ={
	["Hold Head Active"] = true,
	["Hold Head Inactive"] = true,
	["Hold Tail Active"] = true,
	["Hold Tail Inactive"] = true,
	["Roll Head Active"] = true,
	["Roll Head Inactive"] = true,
	["Roll Tail Active"] = true,
	["Roll Tail Inactive"] = true,
	["Tap Explosion Dim"] = true,
	["Tap Sparkle"] = true,
	["Tap Explosion Bright"] = true,
};
return Nskin;
