local pn = GAMESTATE:IsPlayerEnabled('PlayerNumber_P1') and PLAYER_1 or PLAYER_2--for sm5
local yscale = (1-(GAMESTATE:GetPlayerState(pn):GetCurrentPlayerOptions():Mini()/3.5))
local keys = string.find(",Key2,Key4,Key6,Up,Down,UpRight,UpLeft," ,","..Var "Button"..",") and 2 or 1
if GAMESTATE:GetCurrentStyle():GetStepsType() == "StepsType_Dance_Solo"  then
	if string.find(",Up,Down,",","..Var "Button"..",") then
		keys=1
	end
end
local pos = 0
local t = Def.ActorFrame{
	PressCommand=function(self)
		self:stoptweening():sleep(0.03):queuecommand("PosOn")
	end;
	PosOnCommand=function(self)
		pos = 1
		self:stoptweening():sleep(0.23):queuecommand("PosOff")
	end;
	PosOffCommand=function(self)
		pos = 0
	end;
	Def.Sprite {
		Texture="_light"..keys;
		InitCommand=function(self)
		self:blend('BlendMode_Add'):vertalign(bottom):diffusealpha(1):zoomto(64,0)
		end;
		PressCommand=function(self)
		self:finishtweening():zoomtoheight(0):linear(0.02):zoomtoheight(460):linear(0.03)
		end;
		LiftCommand=function(self)
		self:linear(0.02):zoomtoheight(0)
		end;
	};
	Def.Sprite {
		Texture="_judgment line";
		InitCommand=function(self)
			self:zoomy(.75):zoomtowidth(64)
			if GAMESTATE:GetCurrentStyle():GetStepsType() == "StepsType_Dance_Solo" 
			or GAMESTATE:GetCurrentStyle():GetStepsType() == "StepsType_Kb7_Single"  then
				self:SetCustomImageRect(0,0,0.6667,1)
			end
		end;
	};
	--greenbar's afterimage
	Def.Sprite {
		Texture="_greenbar";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			self:y(25*yscale):zoomy(yscale*.7):diffuse(color("#77ff0b")):diffusealpha(0.5)
		end;
		PressCommand=function(self)
			if pos == 1 then
				self:stoptweening()
				self:y(0)
			else
			self:stoptweening()
			end
			self:zoomy(yscale*.7):diffusealpha(0.5)
			self:sleep(0.03)
			self:decelerate(.07)
			self:diffusealpha(0):sleep(0.16)
		end;
		LiftCommand=function(self)
			self:diffusealpha(.5):zoomy(yscale*.7):y(0)
			self:sleep(.08)
			self:smooth(0.15)
			self:y(25*yscale)
		end;
	};
	--main greenbar
	Def.Sprite {
		Texture="_greenbar";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			self:y(25*yscale):zoomy(yscale*.6):diffuse(color("#a0eb52"))
		end;
		PressCommand=function(self)
			self:stoptweening()
			self:y(0):zoomy(yscale*.72):diffuse(1,1,1,1)
			self:sleep(.26)
		end;
		LiftCommand=function(self)
			self:zoomy(yscale*.6)
			self:linear(0.03):y(0):diffuse(color("#a0eb52")):smooth(0.15)
			self:y(25*yscale)
		end;
	};

	--bottom part
	Def.Sprite {
		Texture = "_bottom.png";
		InitCommand=function(self)
			self:y(17):vertalign(top):zoomtowidth(64):zoomtoheight(87)
		end;
	};
	--button
	Def.Sprite {
		Texture="_button"..keys.."u";
		InitCommand=function(self)
			self:y(30):zoomtowidth(65):zoomy(.75)
		end;
	};
	Def.Sprite {
		Texture="_button"..keys.."d";
		InitCommand=function(self)
			self:y(30):zoomtowidth(65):zoomy(.75):visible(false)
		end;
		PressCommand=function(self)
			self:stoptweening():visible(true):sleep(0.03)
		end;
		LiftCommand=function(self)
			self:visible(false)
		end;
	};
};


--side part
if Var "Button" == "Left" or Var "Button" == "Right" or Var "Button" == "Key1" or Var "Button" == "Key7" then
t[#t + 1] = Def.ActorFrame{
	InitCommand=function(self)
		self:x(-32):zoomx(.5/(1-(GAMESTATE:GetPlayerState(pn):GetCurrentPlayerOptions():Mini()/2)))
	end;

	Def.Sprite {
	Texture = "_side";
	InitCommand=function(self)
		self:horizalign(right):y(17):vertalign(bottom):zoomtoheight(2000)
	end;
	};
	Def.Sprite {
	Texture = "_bottom_side";
	InitCommand=function(self)
		self:horizalign(right):y(17):vertalign(top)
		self:zoomtoheight(87)
	end;
	};
};
end
return t;